#include "renderer.hpp"

#include "vulkan_instance.hpp"

namespace gz::vk {
    void Renderer::cleanup_(){
        vk.destroyCommandBuffers(commandBuffers);
        
        vkDestroyBuffer(vk.device, indexBuffer, nullptr);
        vkFreeMemory(vk.device, indexBufferMemory, nullptr);

        vkDestroyBuffer(vk.device, vertexBuffer, nullptr);
        vkFreeMemory(vk.device, vertexBufferMemory, nullptr);
    }
}
