#include "vk_convert.hpp"

bool vkBool2Bool(const VkBool32& b) {
    if (b == VK_TRUE) {
        return true;
    }
    else {
        return false;
    }
};

VkBool32 bool2VkBool(const bool& b) {
    if (b) {
        return VK_TRUE;
    }
    else {
        return VK_FALSE;
    }
}

std::string vkBool2String(const VkBool32& b) {
    if (b == VK_TRUE) {
        return "true";
    }
    else {
        return "false";
    }
};

VkBool32 string2VkBool(const std::string& s) {
    if (s == "true") {
        return VK_TRUE;
    }
    else {
        return VK_FALSE;
    }
}
